@media (min-width: 0) { 
  
    .slam-form-str{
 
        z-index: 2;
        position: relative;
        padding:81px 0px;
        border-radius: 20px;
        max-width: 580px;
        padding-right: var(--bs-gutter-x, 0.75rem);
        padding-left: var(--bs-gutter-x, 0.75rem);
        margin-right: auto;
        margin-left: auto;        
    }
    .slam-form-str form{
        border-radius: 20px;
        padding: 0px 20px 40px 20px;
        background: white;
    }
}
@media (min-width: 768px){ 
    .slam-form-str{
        max-width: 1050px;
        border-radius: 25px;
    } 
    .slam-form-str form{
        border-radius: 25px;
    }
} 
@media (min-width: 1366px) { 
    .slam-form-str{
        max-width: 1050px;
        border-radius: 40px;
    }
    .slam-form-str form{
        border-radius: 40px;
        padding: 0px 70px 50px 70px;
    }
} 


.slam-easyform .control-label{
    display: none !important;
}
.slam-easyform .modal {
    text-align: center;
}
@media screen and (min-width: 768px) {
    .slam-easyform  .modal:before {
        display: inline-block;
        vertical-align: middle;
        content: " ";
        height: 100%;
    }
}
.slam-easyform  .modal-dialog {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}
.slam-easyform .modal .modal-header .title {
    margin: 0;
    font-size: 22px;
    display: inline-block;
}
.hide-formvalidation small.help-block{
    display: none!important;
}

@keyframes spinner {
    to {
        transform: rotate(360deg)
    }
}

.slam-easyform .spinner,.slam-easyform .spinner:hover {
    position: relative;
    color: transparent
}

.slam-easyform .spinner:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 20px;
    margin-top: -10px;
    margin-left: -10px;
    border-radius: 50%;
    border: 2px solid #ccc;
    border-top-color: #333;
    animation: spinner .6s linear infinite
}

@media (min-width: 0) { 
    .slam-form-str .form-group input,
    .slam-form-str .form-control,
    .slam-form-str .file-selectdialog{
       border-radius: 20px; 
    }
}  
@media (min-width: 768px){ 
    .slam-form-str .form-group input,
    .slam-form-str .form-control,
    .slam-form-str .file-selectdialog{
       border-radius: 25px; 
    } 
}  
@media (min-width: 1366px) { 
    .slam-form-str .form-group input,
    .slam-form-str .form-control,
    .slam-form-str .file-selectdialog{
       border-radius: 30px; 
    } 
} 
.slam-form-str .b-button-bl{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

 .slam-easyform .btn-primary{ 
    padding: 13px 20px !important;
    border-radius: 40px !important;    
    background-color: #6BB436;
    color: #fff;
  
    font-weight: normal;
    font-size: 18px;
    transition: 0.5s all;
    position: relative;
    border: none; 
}




 
@media (min-width: 0) { 
    .slam-form-str-title{
        font-size: 20px;
        line-height: 22px;
        display: inline-block;
        font-weight: 700;
        margin-top: 20px;
        margin-bottom: 25px;
        width: 100%;  
        color: #6BB436;
    }
}  
@media (min-width: 768px){ 
    .slam-form-str-title{
        font-size: 28px;
        line-height: 30px;
        margin-top: 60px;
        margin-bottom: 30px;
    }
}  
@media (min-width: 1366px) { 
    .slam-form-str-title{        
        margin-top: 70px;
        margin-bottom: 50px;
    } 
} 
@media (min-width: 1600px) { 
    .slam-form-str-title{
        font-size: 36px;
        line-height: 40px;
        margin-top: 80px;
        margin-bottom: 50px;
        width: 85%; 
    }
} 
@media (min-width: 0) {  
    .fancybox-button svg{
        display: block;
        overflow: visible;
        position: absolute;
        top: 6px;
        left: 5px;
        height: 40px;
        width: 40px;
    }

    .slam-form-str .fancybox-button.fancybox-button--close{
       display: block;
        background: #fff;
        height: 50px;
        width: 50px;
        top: 10px;
        border-radius: 30px;
        position: relative;
        box-shadow: 0px 0px 20px rgb(34 60 80 / 25%); 
    }
}
@media (min-width: 768px){ 
    .slam-form-str .fancybox-button.fancybox-button--close{
        background: none;
        width: 74px;
        top: -10px;
        box-shadow: none;
    }
}  



.slam-form-str-text{
    font-weight: 500;
    font-size: 20px;
    line-height: 24px;  
}
@media (min-width: 0) { 
    .slam-form-str .form-control{
        font-weight: 700;
        font-size: 12px;
        color: #000;
        height: 50px;
        border: 1px solid #CBD2D6;
        padding: 16px 20px;
    }
}  
@media (min-width: 768px){ 
    .slam-form-str .form-control{
        font-size: 15px;
    }
}  

.slam-form-str input[type=checkbox], 
.slam-form-str input[type=radio]{
    height: 20px;
    width: 20px;
    margin: 1px 0 0;
}
.slam-form-str .form-control:focus{
    border-color: #6bb436;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(107 180 54);
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(107 180 54);
    border: 1px solid #bbdda2;
}

.slam-form-str .file-selectdialog .file-extended .file-uploader .file-but-text{
    color: #6bb436;
}

.slam-form-str input[type=checkbox] {
    height: 20px;
    width: 20px;
    margin: 1px 0 0;
    opacity: 1;
}
.slam-form-str input:checked{
    background: red;
}

.b-grass-form-mail-textarea-bl{
    position: relative;
    height: 100%;
}
.b-grass-form-mail-textarea-bl .b-grass-form-mail-textarea{
    height: 100% !important;
}
.b-gr-checkbox-inline {
    
}
.b-gr-checkbox-inline input{
    margin-top: 1px;
  position: absolute;
}
.b-gr-checkbox-inline span{
    margin-left: 30px;
}
/* */

.b-slam-form-str-item{
  margin-bottom: 20px;
}
.slam-form-str .webform-field-upload{
    height: 50px;
}
.b-slam-form-str-item .fancybox-content .form-group textarea{
    height: 202px !important;
}
 
.b-slam-form-str-bl{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 10px;
  
}  
.webform-field-upload {
    overflow: hidden;
    width: 255px;
    height: 39px;
    line-height: 39px;
    cursor: pointer;
    display: block;
    position: relative;
    padding: 0;
    margin: 0;
} 
.webform-field-upload .webform-small-button {
    padding: 0;
    margin: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    text-align: center;
    line-height: 34px;
    cursor: pointer;
}
.slam-easyform button.btn { 
    display: inline-block;
    margin-bottom: 0;
    font-weight: 700;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 6px 12px;
    font-size: 18px;
    line-height: 1.42857143;
    border-radius: 4px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: 0.5s all;
}
.slam-easyform button.btn:hover {
    -webkit-transform: translateY(-5px);
    transform: translateY(-5px);
    background-color: #4C8126;
    -webkit-box-shadow: 0 5px 25px rgb(107 180 54 / 40%);
    box-shadow: 0 5px 25px rgb(107 180 54 / 40%);
}
.file-input .webform-field-upload input[type=file], .file-input .webform-field-upload input[type=button] {
    -moz-opacity: 0;
    filter: alpha(opacity=0);
    opacity: 0;
    font-size: 150px;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    border: 1px solid transparent;
}


.b-grass-form-group{
    width: 100% !important;
}
.slam-easyform .bv-form .b-grass-checkbox-inline{
    margin-bottom: 0px;
}
.b-slam-form-str-bl{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    width: 100%;
    position: relative;
}
@media (min-width: 0) { 
    .b-grass-form-mail-union_div,
    .b-grass-form-mail-row_dop{
        display: flex;
        position: relative;
        width: 100%;
        justify-content: space-between;
        flex-direction: column;
    }
     
    .b-grass-form-mail-row_left{
        display: flex;
        flex-direction: column;
        width: 100%;
        padding-right: 0px;
    }
    .b-grass-form-mail-row_right{
        display: flex;
        flex-direction: column;
        width: 100%;
        padding-left: 0px;
    }
}  
@media (min-width: 1366px) { 
     .b-grass-form-mail-union_div,
    .b-grass-form-mail-row_dop{
        display: flex;
        flex-direction: row;
    }
    .b-grass-form-mail-row_left{
        display: flex;
        flex-direction: column;
        width: 50%;
        padding-right: 15px;
    }
    .b-grass-form-mail-row_right{
        display: flex;
        flex-direction: column;
        width: 50%;
        padding-left: 15px;
    }
} 
@media (min-width: 0) { 

    .b-grass-form-mail-checkbox-item{
        margin-top: 20px;
        position: relative;
        display: block;
        margin: 0 auto;
    }
}
@media (min-width: 1366px) { 
    .b-grass-form-mail-checkbox-item{
        margin: 0;
    }
} 
.b-grass-form-mail-checkbox{
    position: relative;
}
.b-grass-form-mail-checkbox_a{
    margin-left: 0;
    display: block;
    max-width: 280px;
    text-align: left;
    font-size: 16px;
}
.b-grass-form-mail-checkbox_a a{
    font-size: 14px;
}
/* прячем input checkbox */
.b-grass-form-mail-row_right input[type="checkbox"] {
  display: none;
}

/* стили для метки */
.b-grass-form-mail-row_right label {
  color: #000;
  cursor: default;
  font-weight: normal;
  line-height: 30px;
  padding: 10px 0;
  vertical-align: middle;
}

/* формируем внешний вид чекбокса в псевдоэлементе before */
.b-grass-form-mail-row_right label:before {
    content: " ";
    color: #6BB436;
    display: inline-block;
    font: 20px/30px Arial;
    margin-right: 15px;
    position: relative;
    text-align: center;
    text-indent: 0px;
    width: 30px;
    height: 30px;
    background: #FFF;
    border: 2px solid #6BB436;
    border-radius: 6px;
    border-image: initial;
    vertical-align: middle;
}

/* вариации внешнего вида в зав-ти от статуса checkbox */
/* checked */
.b-grass-form-mail-row_right input:checked + label:before {
  content: " ";
  background-image: url(check.svg);
  background-repeat: no-repeat;
  background-position: center;
}
/* disabled */
.b-grass-form-mail-row_right input:disabled + label:before {
  background: #eee;
  color: #aaa;
}
.b-order-btn-form-bl .slam-easyform .radio-inline, 
.slam-easyform .checkbox-inline{

}
@media (min-width: 0) { 

    .b-slam-form-str-btn{
        display: flex;
        justify-content: center;
        align-items: center;
    }
}
@media (min-width: 1366px) { 
    .b-slam-form-str-btn {         
        align-items: flex-start;
    }
} 
@media (min-width: 0) { 
    .b-grass-form-mail-checkbox-centr{
        display: flex;
        justify-content: center;
        margin-top: 20px;
    }
} 
@media (min-width: 1366px) { 
    .b-grass-form-mail-checkbox-centr{ 
        justify-content: flex-start;
    }
}
.form-group.has-error{
    display: flex;
    margin: 0;
    flex-direction: column-reverse;
}
.b-slam-form-str-item,
.form-group,
.control-label,
.control-label div,
.b-grass-form-mail-textarea{
    height: 100%;
}
.has-error .help-block{
    color: #D62B49 !important;
    font-weight: 700;
    font-size: 15px;
    line-height: 18px;
    margin-bottom: 5px;
}
.b-grass-form-mail-checkbox-item .help-block{
    color: #D62B49 !important;
    font-weight: 700;
    font-size: 15px;
    line-height: 18px;  
    position: absolute;
    top: -8px;
}
.b-grass-form-mail-row_right .b-help-block label:before{
    border: 2px solid #D62B49;
}
.slam-easyform .has-error .form-control{
    border-color: #D62B49;   
    margin-top: 8px;
    margin-bottom: 6px !important;
 
}
.slam-easyform .has-error .form-control:focus{
    border-color: #D62B49;
    -webkit-box-shadow: 0px 0px 10px rgb(214 43 73 / 24%);
    box-shadow: 0px 0px 10px rgb(214 43 73 / 24%);
}
.file-input.file-extended{
    display: flex;
    flex-direction: row-reverse;
    top: 18px;
    position: relative;
}
.slam-form-str .webform-field-upload{
    overflow: hidden;
    width: 250px;
    height: 60px;
    line-height: 39px;
    cursor: pointer;
    display: block;
    position: relative;
    padding: 0;
    margin: 0;
    border-radius: 30px;
    background-color: #687E8A !important;
    -webkit-box-shadow: 0 0 15px rgb(34 60 80 / 25%);
    box-shadow: 0 0 15px rgb(34 60 80 / 25%);
    height: 50px !important;
    width: 250px;
    transition: 0.5s all;
}
.slam-form-str .webform-field-upload:hover {
    -webkit-transform: translateY(-5px);
    transform: translateY(-5px);
    background-color: #6BB436 !important;
    -webkit-box-shadow: 0 5px 20px rgb(107 180 54 / 50%);
    box-shadow: 0 5px 20px rgb(107 180 54 / 50%);
}
.webform-field-upload:hover .webform-button-upload {
    background-color: #6BB436 !important;
}
@media (min-width: 0){
    .form-group .file-input.file-extended {
        width: 100%;
        margin: 0 auto;
        position: relative;
        display: flex;
        justify-content: flex-end;
        flex-direction: column;
    }    
}
@media (min-width: 1366px) { 
    .form-group .file-input.file-extended {
        margin: 0;
        max-width: 400px;
    }
}
.drag_n_drop-field .file-input .webform-field-upload-list{
    margin: 0;
    padding: 0;
    position: relative !important;
}







@media (min-width: 0) { 
    .slam-form-str {
        display: flex !important;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}  
@media (min-width: 768px){ 
    .slam-form-str{
        display: flex !important;
        flex-direction: row-reverse;
        justify-content: space-evenly;
        align-content: center;
        align-items: flex-start;
    }
} 


.fancybox-button.fancybox-button--close{
    display: none;
}
.slam-form-str .fancybox-button.fancybox-button--close{
        display: block;
}

@media (min-width: 0) { 
    .slam-form-str .fancybox-button--close{
        width: 29px;
        right: -4px;
        top: -7px;
        outline: none !important;
        border: 0 !important;
    }
}  
@media (min-width: 768px){ 
    .slam-form-str .fancybox-button--close {
        width: 27px;
        right: -4px;
        top: 0px; 
    }
}

.switch-select{
    margin-bottom: 20px;
}

.slam-easyform .form-group.has-error .help-block{
    display: none !important;
}
.slam-easyform .form-group.has-error .help-block[data-bv-validator="notEmpty"]{
    display: block !important;
}


.nice-select.form-control.nice-select_red {
    border: solid 1px #D62B49 ;
    box-shadow: 0px 0px 10px rgb(214 43 73 / 24%);
}

input:not(:checked)+label:before {
    border-color: #D62B49;
}
input:not(:checked)+.b-gr-radio-inline:before {
    border-color: #6BB436;
}

.slam-easyform .form-group.b-grass-form-mail-checkbox-item .help-block{
    top:-10px;
    left: 0px;
    right: 0px;
    text-align: center;
}
.text-center{
    text-align: center;
}





.b-order-btn-form-close svg{
  
}
@media (min-width: 0) { 
  .slam-form-m .fancybox-button--close, 
  .b-order-btn-form-bl .fancybox-button--close {
      position: relative;
      display: block;
      height: 50px;
      width: 50px;
      right: 0px;
      background: #fff;
      top: 15px;
      border-radius: 30px;
      background-position: center center;
      background-repeat: no-repeat;
      background-image: url(images/close.svg);
      padding: 9px;
      box-shadow: 0px 0px 20px rgb(34 60 80 / 25%); 
  }
}
@media (min-width: 768px){ 
  .slam-form-m .fancybox-button--close, 
  .b-order-btn-form-bl .fancybox-button--close {
    top: -10px;
    background: none;
    background-image: url(images/close.svg);
    background-position: center center;
    background-repeat: no-repeat;
    box-shadow: none;
  }
  .slam-form-m .fancybox-button--close{
    left: 10px;
  }
}  
.fancybox-button svg{
 
}

.fancybox-content .fancybox-button--close:hover{
   -webkit-animation: none;
    animation: none; 
}
.fancybox-content .fancybox-button--close:hover svg{
   -webkit-animation: .6s ease-in-out alternate closerotate;
    animation: .6s ease-in-out alternate closerotate; 
}
.slam-form-m .form-control{
    box-shadow: none;
}

.slam-easyform p.alert-success{
    background: none;
    text-align: center;
    margin: 0px;
}
.bv-form .help-block{
    display: none;
}